[arch-commits] Commit in totem-xine/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 17:52:12 EDT 2008


    Date: Sunday, July 20, 2008 @ 17:52:12
  Author: jgc
Revision: 5792

Merged revisions 3421-5791 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/totem-xine/trunk

........
  r4464 | jgc | 2008-07-07 16:49:12 +0000 (Mon, 07 Jul 2008) | 2 lines
  
  upgpkg: totem-xine 2.22.2-2
      Fix python detection, add some makedepends
........
  r5791 | jgc | 2008-07-20 21:51:59 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: totem-xine 2.22.2-2
      Fix mozilla plugin build, fix thumbnailing for FLV
........

Added:
  totem-xine/repos/extra-x86_64/video-flv.patch
    (from rev 5791, totem-xine/trunk/video-flv.patch)
Modified:
  totem-xine/repos/extra-x86_64/	(properties)
  totem-xine/repos/extra-x86_64/30_totem_xulrunner19.patch
  totem-xine/repos/extra-x86_64/PKGBUILD

----------------------------+
 30_totem_xulrunner19.patch |    2 +-
 PKGBUILD                   |   29 +++++++++++++++++------------
 video-flv.patch            |   10 ++++++++++
 3 files changed, 28 insertions(+), 13 deletions(-)


Property changes on: totem-xine/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /totem-xine/trunk:1-3420
   + /totem-xine/trunk:1-5791

Modified: extra-x86_64/30_totem_xulrunner19.patch
===================================================================
--- extra-x86_64/30_totem_xulrunner19.patch	2008-07-20 21:51:59 UTC (rev 5791)
+++ extra-x86_64/30_totem_xulrunner19.patch	2008-07-20 21:52:12 UTC (rev 5792)
@@ -116,7 +116,7 @@
 -	MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir $MOZILLA-xpcom`"
 +	dnl This only works on gecko 1.9 and 1.8
 +	if $PKG_CONFIG --exists libxul; then
-+		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir libxul`/unstable"
++		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir libxul`"
 +	else
 +		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir $MOZILLA-xpcom`"
 +	fi

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-20 21:51:59 UTC (rev 5791)
+++ extra-x86_64/PKGBUILD	2008-07-20 21:52:12 UTC (rev 5792)
@@ -3,42 +3,47 @@
 
 pkgname=totem-xine
 pkgver=2.22.2
-pkgrel=1
+pkgrel=2
 url="http://www.hadess.net/totem.php3"
 pkgdesc="A GNOME2 integrated movie player based on xine."
 arch=(i686 x86_64)
 license=('GPL')
 depends=('xine-lib>=1.1.12' 'totem-plparser>=2.22.3' 'libxxf86vm' 'libxtst' 'desktop-file-utils' 'libepc>=0.3.5' 'libgnomeui>=2.22.1' 'startup-notification' 'iso-codes>=2.0' 'python-gdata')
-makedepends=('perlxml' 'gnome-control-center>=2.22.0' 'nautilus>=2.22.0' 'xulrunner>=1.9' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'gnome-doc-utils>=0.12.2')
+makedepends=('gnome-control-center>=2.22.0' 'nautilus>=2.22.0' 'xulrunner>=1.9' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'gnome-doc-utils>=0.12.2' 'pygtk' 'gnome-common' 'intltool')
 options=('!libtool' '!emptydirs')
 conflicts=('totem')
 provides=("totem=${pkgver}")
 install=totem.install
 source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.22/totem-${pkgver}.tar.bz2
-	30_totem_xulrunner19.patch)
-md5sums=('6062080e81b4859f87fee8a592b92489' '42e3246acb3163bab35fc12816a19419')
+	30_totem_xulrunner19.patch
+	video-flv.patch)
+md5sums=('6062080e81b4859f87fee8a592b92489'
+         'ce0b0bdd822ad404bdc24e2fce3e7e21'
+         '8c66edc0e4fd64612189e76f57c40873')
 
-
 build() {
-  cd ${startdir}/src/totem-${pkgver}
-  patch -Np1 -i ${startdir}/src/30_totem_xulrunner19.patch || return 1
+  cd ${srcdir}/totem-${pkgver}
+  patch -Np1 -i ${srcdir}/30_totem_xulrunner19.patch || return 1
+  patch -Np1 -i ${srcdir}/video-flv.patch || return 1
   libtoolize --force --copy || return 1
   aclocal || return 1
   autoconf || return 1
   automake --add-missing || return 1
+  ./configure --enable-python --enable-xine || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/totem \
               --localstatedir=/var --disable-static \
 	      --enable-nautilus --enable-xine \
 	      --enable-mozilla --with-dbus \
+	      --enable-python --with-gecko=mozilla \
 	      --disable-scrollkeeper || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
-       DESTDIR=${startdir}/pkg install || return 1
+       DESTDIR=${pkgdir} install || return 1
 
-  rm -rf ${startdir}/pkg/usr/lib/mozilla
+  rm -rf ${pkgdir}/usr/lib/mozilla
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${pkgdir}/usr/share/gconf/schemas
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Copied: totem-xine/repos/extra-x86_64/video-flv.patch (from rev 5791, totem-xine/trunk/video-flv.patch)
===================================================================
--- extra-x86_64/video-flv.patch	                        (rev 0)
+++ extra-x86_64/video-flv.patch	2008-07-20 21:52:12 UTC (rev 5792)
@@ -0,0 +1,10 @@
+--- trunk/data/mime-type-list.txt	2008/03/14 00:50:55	5298
++++ trunk/data/mime-type-list.txt	2008/05/26 13:11:33	5433
+@@ -79,6 +79,7 @@
+ video/x-flc
+ video/x-fli
+ video/x-flic
++video/x-flv
+ video/x-m4v
+ video/x-matroska
+ video/x-mpeg





More information about the arch-commits mailing list